Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Update autogenerated files
[simgrid.git] / examples / simdag / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = sd_test$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(srcdir)/test_simdag.in $(top_srcdir)/acmacro/dist-files.mk
47 subdir = examples/simdag
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES = test_simdag
62 am_sd_test_OBJECTS = sd_test.$(OBJEXT)
63 sd_test_OBJECTS = $(am_sd_test_OBJECTS)
64 sd_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
71         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
72         $(AM_CFLAGS) $(CFLAGS)
73 CCLD = $(CC)
74 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
75         $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(sd_test_SOURCES)
77 DIST_SOURCES = $(sd_test_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDR2LINE = @ADDR2LINE@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMTAR = @AMTAR@
86 AM_CFLAGS = -g
87 AR = @AR@
88 AS = @AS@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BASH = @BASH@
94 CC = @CC@
95 CCDEPMODE = @CCDEPMODE@
96 CFLAGS = @CFLAGS@
97 CPP = @CPP@
98 CPPFLAGS = @CPPFLAGS@
99 CXX = @CXX@
100 CXXCPP = @CXXCPP@
101 CXXDEPMODE = @CXXDEPMODE@
102 CXXFLAGS = @CXXFLAGS@
103 CYGPATH_W = @CYGPATH_W@
104 DEFS = @DEFS@
105 DEPDIR = @DEPDIR@
106 DLLTOOL = @DLLTOOL@
107 DOXYGEN = @DOXYGEN@
108 ECHO = @ECHO@
109 ECHO_C = @ECHO_C@
110 ECHO_N = @ECHO_N@
111 ECHO_T = @ECHO_T@
112 EGREP = @EGREP@
113 EXEEXT = @EXEEXT@
114 FLEXML = @FLEXML@
115 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
116 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
117 GRAS_ARCH_32_BITS_FALSE = @GRAS_ARCH_32_BITS_FALSE@
118 GRAS_ARCH_32_BITS_TRUE = @GRAS_ARCH_32_BITS_TRUE@
119 GRAS_DEP = @GRAS_DEP@
120 GREP = @GREP@
121 GTNETS_CFLAGS = @GTNETS_CFLAGS@
122 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
123 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
124 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
125 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
126 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
127 INSTALL_DATA = @INSTALL_DATA@
128 INSTALL_PROGRAM = @INSTALL_PROGRAM@
129 INSTALL_SCRIPT = @INSTALL_SCRIPT@
130 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
131 LDFLAGS = @LDFLAGS@
132 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
133 LEX = @LEX@
134 LEXLIB = @LEXLIB@
135 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
136 LIBOBJS = @LIBOBJS@
137 LIBS = @LIBS@
138 LIBTOOL = @LIBTOOL@
139 LN_S = @LN_S@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 MD5SUM = @MD5SUM@
146 OBJDUMP = @OBJDUMP@
147 OBJEXT = @OBJEXT@
148 PACKAGE = @PACKAGE@
149 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
150 PACKAGE_NAME = @PACKAGE_NAME@
151 PACKAGE_STRING = @PACKAGE_STRING@
152 PACKAGE_TARNAME = @PACKAGE_TARNAME@
153 PACKAGE_VERSION = @PACKAGE_VERSION@
154 PATH_SEPARATOR = @PATH_SEPARATOR@
155 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
156 RANLIB = @RANLIB@
157 SET_MAKE = @SET_MAKE@
158 SHELL = @SHELL@
159 SIMGRID_DEP = @SIMGRID_DEP@
160 STRIP = @STRIP@
161 USE_GTNETS_FALSE = @USE_GTNETS_FALSE@
162 USE_GTNETS_TRUE = @USE_GTNETS_TRUE@
163 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
164 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
165 VERSION = @VERSION@
166 WARNING = @WARNING@
167 abs_builddir = @abs_builddir@
168 abs_srcdir = @abs_srcdir@
169 abs_top_builddir = @abs_top_builddir@
170 abs_top_srcdir = @abs_top_srcdir@
171 ac_configure_args = @ac_configure_args@
172 ac_ct_CC = @ac_ct_CC@
173 ac_ct_CXX = @ac_ct_CXX@
174 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
175 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
176 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
177 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
178 am__include = @am__include@
179 am__leading_dot = @am__leading_dot@
180 am__quote = @am__quote@
181 am__tar = @am__tar@
182 am__untar = @am__untar@
183 bindir = @bindir@
184 build = @build@
185 build_alias = @build_alias@
186 build_cpu = @build_cpu@
187 build_id = @build_id@
188 build_os = @build_os@
189 build_vendor = @build_vendor@
190 datadir = @datadir@
191 datarootdir = @datarootdir@
192 docdir = @docdir@
193 dvidir = @dvidir@
194 exec_prefix = @exec_prefix@
195 host = @host@
196 host_alias = @host_alias@
197 host_cpu = @host_cpu@
198 host_os = @host_os@
199 host_vendor = @host_vendor@
200 htmldir = @htmldir@
201 includedir = @includedir@
202 infodir = @infodir@
203 install_sh = @install_sh@
204 libdir = @libdir@
205 libexecdir = @libexecdir@
206 localedir = @localedir@
207 localstatedir = @localstatedir@
208 mandir = @mandir@
209 mkdir_p = @mkdir_p@
210 oldincludedir = @oldincludedir@
211 pdfdir = @pdfdir@
212 prefix = @prefix@
213 program_transform_name = @program_transform_name@
214 psdir = @psdir@
215 pth_skaddr_makecontext = @pth_skaddr_makecontext@
216 pth_sksize_makecontext = @pth_sksize_makecontext@
217 sbindir = @sbindir@
218 sharedstatedir = @sharedstatedir@
219 sysconfdir = @sysconfdir@
220 target = @target@
221 target_alias = @target_alias@
222 target_cpu = @target_cpu@
223 target_os = @target_os@
224 target_vendor = @target_vendor@
225 INCLUDES = -I$(top_srcdir)/include
226 EXTRA_DIST = small_platform.xml
227 CLEANFILES = sd_test.trace
228 TESTS = test_simdag
229 sd_test_SOURCES = sd_test.c
230 sd_test_LDADD = $(top_builddir)/src/libsimgrid.la
231 all: all-am
232
233 .SUFFIXES:
234 .SUFFIXES: .c .lo .o .obj
235 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
236         @for dep in $?; do \
237           case '$(am__configure_deps)' in \
238             *$$dep*) \
239               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
240                 && exit 0; \
241               exit 1;; \
242           esac; \
243         done; \
244         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/simdag/Makefile'; \
245         cd $(top_srcdir) && \
246           $(AUTOMAKE) --gnu  examples/simdag/Makefile
247 .PRECIOUS: Makefile
248 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
249         @case '$?' in \
250           *config.status*) \
251             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
252           *) \
253             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
254             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
255         esac;
256
257 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
258         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
259
260 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
261         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
262 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
263         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
264 test_simdag: $(top_builddir)/config.status $(srcdir)/test_simdag.in
265         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
266
267 clean-checkPROGRAMS:
268         @list='$(check_PROGRAMS)'; for p in $$list; do \
269           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
270           echo " rm -f $$p $$f"; \
271           rm -f $$p $$f ; \
272         done
273 sd_test$(EXEEXT): $(sd_test_OBJECTS) $(sd_test_DEPENDENCIES) 
274         @rm -f sd_test$(EXEEXT)
275         $(LINK) $(sd_test_LDFLAGS) $(sd_test_OBJECTS) $(sd_test_LDADD) $(LIBS)
276
277 mostlyclean-compile:
278         -rm -f *.$(OBJEXT)
279
280 distclean-compile:
281         -rm -f *.tab.c
282
283 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
284
285 .c.o:
286 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
287 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
288 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
289 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
290 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
291
292 .c.obj:
293 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
294 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
295 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
296 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
297 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
298
299 .c.lo:
300 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
301 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
302 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
303 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
304 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
305
306 mostlyclean-libtool:
307         -rm -f *.lo
308
309 clean-libtool:
310         -rm -rf .libs _libs
311
312 distclean-libtool:
313         -rm -f libtool
314 uninstall-info-am:
315
316 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
317         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
318         unique=`for i in $$list; do \
319             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
320           done | \
321           $(AWK) '    { files[$$0] = 1; } \
322                END { for (i in files) print i; }'`; \
323         mkid -fID $$unique
324 tags: TAGS
325
326 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
327                 $(TAGS_FILES) $(LISP)
328         tags=; \
329         here=`pwd`; \
330         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
331         unique=`for i in $$list; do \
332             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
333           done | \
334           $(AWK) '    { files[$$0] = 1; } \
335                END { for (i in files) print i; }'`; \
336         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
337           test -n "$$unique" || unique=$$empty_fix; \
338           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
339             $$tags $$unique; \
340         fi
341 ctags: CTAGS
342 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
343                 $(TAGS_FILES) $(LISP)
344         tags=; \
345         here=`pwd`; \
346         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
347         unique=`for i in $$list; do \
348             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
349           done | \
350           $(AWK) '    { files[$$0] = 1; } \
351                END { for (i in files) print i; }'`; \
352         test -z "$(CTAGS_ARGS)$$tags$$unique" \
353           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
354              $$tags $$unique
355
356 GTAGS:
357         here=`$(am__cd) $(top_builddir) && pwd` \
358           && cd $(top_srcdir) \
359           && gtags -i $(GTAGS_ARGS) $$here
360
361 distclean-tags:
362         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
363
364 check-TESTS: $(TESTS)
365         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
366         srcdir=$(srcdir); export srcdir; \
367         list='$(TESTS)'; \
368         if test -n "$$list"; then \
369           for tst in $$list; do \
370             if test -f ./$$tst; then dir=./; \
371             elif test -f $$tst; then dir=; \
372             else dir="$(srcdir)/"; fi; \
373             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
374               all=`expr $$all + 1`; \
375               case " $(XFAIL_TESTS) " in \
376               *" $$tst "*) \
377                 xpass=`expr $$xpass + 1`; \
378                 failed=`expr $$failed + 1`; \
379                 echo "XPASS: $$tst"; \
380               ;; \
381               *) \
382                 echo "PASS: $$tst"; \
383               ;; \
384               esac; \
385             elif test $$? -ne 77; then \
386               all=`expr $$all + 1`; \
387               case " $(XFAIL_TESTS) " in \
388               *" $$tst "*) \
389                 xfail=`expr $$xfail + 1`; \
390                 echo "XFAIL: $$tst"; \
391               ;; \
392               *) \
393                 failed=`expr $$failed + 1`; \
394                 echo "FAIL: $$tst"; \
395               ;; \
396               esac; \
397             else \
398               skip=`expr $$skip + 1`; \
399               echo "SKIP: $$tst"; \
400             fi; \
401           done; \
402           if test "$$failed" -eq 0; then \
403             if test "$$xfail" -eq 0; then \
404               banner="All $$all tests passed"; \
405             else \
406               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
407             fi; \
408           else \
409             if test "$$xpass" -eq 0; then \
410               banner="$$failed of $$all tests failed"; \
411             else \
412               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
413             fi; \
414           fi; \
415           dashes="$$banner"; \
416           skipped=""; \
417           if test "$$skip" -ne 0; then \
418             skipped="($$skip tests were not run)"; \
419             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
420               dashes="$$skipped"; \
421           fi; \
422           report=""; \
423           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
424             report="Please report to $(PACKAGE_BUGREPORT)"; \
425             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
426               dashes="$$report"; \
427           fi; \
428           dashes=`echo "$$dashes" | sed s/./=/g`; \
429           echo "$$dashes"; \
430           echo "$$banner"; \
431           test -z "$$skipped" || echo "$$skipped"; \
432           test -z "$$report" || echo "$$report"; \
433           echo "$$dashes"; \
434           test "$$failed" -eq 0; \
435         else :; fi
436
437 distdir: $(DISTFILES)
438         $(mkdir_p) $(distdir)/../../acmacro
439         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
440         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
441         list='$(DISTFILES)'; for file in $$list; do \
442           case $$file in \
443             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
444             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
445           esac; \
446           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
447           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
448           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
449             dir="/$$dir"; \
450             $(mkdir_p) "$(distdir)$$dir"; \
451           else \
452             dir=''; \
453           fi; \
454           if test -d $$d/$$file; then \
455             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
456               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
457             fi; \
458             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
459           else \
460             test -f $(distdir)/$$file \
461             || cp -p $$d/$$file $(distdir)/$$file \
462             || exit 1; \
463           fi; \
464         done
465 check-am: all-am
466         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
467         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
468 check: check-am
469 all-am: Makefile
470 installdirs:
471 install: install-am
472 install-exec: install-exec-am
473 install-data: install-data-am
474 uninstall: uninstall-am
475
476 install-am: all-am
477         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
478
479 installcheck: installcheck-am
480 install-strip:
481         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
482           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
483           `test -z '$(STRIP)' || \
484             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
485 mostlyclean-generic:
486
487 clean-generic:
488         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
489
490 distclean-generic:
491         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
492
493 maintainer-clean-generic:
494         @echo "This command is intended for maintainers to use"
495         @echo "it deletes files that may require special tools to rebuild."
496 clean: clean-am
497
498 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
499         mostlyclean-am
500
501 distclean: distclean-am
502         -rm -rf ./$(DEPDIR)
503         -rm -f Makefile
504 distclean-am: clean-am distclean-compile distclean-generic \
505         distclean-libtool distclean-tags
506
507 dvi: dvi-am
508
509 dvi-am:
510
511 html: html-am
512
513 info: info-am
514
515 info-am:
516
517 install-data-am:
518
519 install-exec-am:
520
521 install-info: install-info-am
522
523 install-man:
524
525 installcheck-am:
526
527 maintainer-clean: maintainer-clean-am
528         -rm -rf ./$(DEPDIR)
529         -rm -f Makefile
530 maintainer-clean-am: distclean-am maintainer-clean-generic
531
532 mostlyclean: mostlyclean-am
533
534 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
535         mostlyclean-libtool
536
537 pdf: pdf-am
538
539 pdf-am:
540
541 ps: ps-am
542
543 ps-am:
544
545 uninstall-am: uninstall-info-am
546
547 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
548         clean-checkPROGRAMS clean-generic clean-libtool ctags \
549         distclean distclean-compile distclean-generic \
550         distclean-libtool distclean-tags distdir dvi dvi-am html \
551         html-am info info-am install install-am install-data \
552         install-data-am install-exec install-exec-am install-info \
553         install-info-am install-man install-strip installcheck \
554         installcheck-am installdirs maintainer-clean \
555         maintainer-clean-generic mostlyclean mostlyclean-compile \
556         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
557         tags uninstall uninstall-am uninstall-info-am
558
559
560 dist-files:
561         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
562         @echo
563         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
564 # Tell versions [3.59,3.63) of GNU make to not export all variables.
565 # Otherwise a system limit (for SysV at least) may be exceeded.
566 .NOEXPORT: